Skip to main content
GET
cURL

Authorizations

x-api-key
string
header
required

Path Parameters

account_id
string
required

Account ID.

project_id
string
required

Project ID.

Query Parameters

client_env
enum<string>
default:live

Client environment – sandbox, pre-release or live.

Available options:
sandbox,
pre-release,
live
start_time
string<date-time>

Start of the time range of the conversations to get, in ISO8601 format.

end_time
string<date-time>

End of the time range of the conversations to get, in ISO8601 format.

limit
integer
default:5

Max number of conversations to return per API call. If the result set is larger than this, it will be paginated.

Required range: 1 <= x <= 5000
offset
integer
default:0

Offset within the result set to fetch.

Required range: x >= 0
variant_id
string

Return all conversations under this variant_id. You may specify either variant_id or variant_name, not both.

variant_name
string

Return all conversations under this variant_name. You may specify either variant_id or variant_name. Encode spaces as "%20".

in_progress
boolean

If false, only return finished conversations. If true, only return conversations still in progress. If omitted, return all conversations.

Response

OK.

conversations
object[]

Array of conversations returned in ascending chronological order.

descriptions
object

Dictionary of response keys and their descriptions.

next_offset
integer

If present, the result is paginated. Pass this value as offset in the next request to fetch the next page.

Last modified on March 17, 2026